Subject: [PATCH 4/4] ARM: at91: introduce SAMA5 support

From: [email-masked] (ludovic.desroches at atmel.com)
Date: Tue, 19 Mar 2013 12:23:38 +0100

On Thu, Mar 14, 2013 at 05:27:33PM +0000, Marc Zyngier wrote:
> On 14/03/13 17:05, ludovic.desroches at atmel.com wrote:
> > From: Ludovic Desroches <[email-masked]>
> > 
> > This patch introduces the SAMA5 support. It also updates the PMC driver to
> > manage clock division which is a requirement since some peripherals can't work
> > at the bus frequency on SAMA5.
> > 
> > Signed-off-by: Ludovic Desroches <[email-masked]>
> > Signed-off-by: Nicolas Ferre <[email-masked]>
> > Signed-off-by: Jean-Christophe PLAGNIOL-VILLARD <[email-masked]>
> > Tested-by: Robert Nelson <[email-masked]>
> > ---
> >  arch/arm/boot/dts/Makefile                 |    5 +
> >  arch/arm/boot/dts/sama5d3.dtsi             | 1031 ++++++++++++++++++++++++++++
> >  arch/arm/boot/dts/sama5d31ek.dts           |   51 ++
> >  arch/arm/boot/dts/sama5d33ek.dts           |   44 ++
> >  arch/arm/boot/dts/sama5d34ek.dts           |   61 ++
> >  arch/arm/boot/dts/sama5d35ek.dts           |   56 ++
> >  arch/arm/boot/dts/sama5d3xcm.dtsi          |   91 +++
> >  arch/arm/boot/dts/sama5d3xdm.dtsi          |   42 ++
> >  arch/arm/boot/dts/sama5d3xmb.dtsi          |  166 +++++
> >  arch/arm/configs/sama5_defconfig           |  181 +++++
> >  arch/arm/mach-at91/Kconfig                 |   33 +
> >  arch/arm/mach-at91/Makefile                |    4 +
> >  arch/arm/mach-at91/board-dt-sama5.c        |   86 +++
> >  arch/arm/mach-at91/clock.c                 |  109 ++-
> >  arch/arm/mach-at91/clock.h                 |    2 +
> >  arch/arm/mach-at91/include/mach/at91_pmc.h |   18 +-
> >  arch/arm/mach-at91/include/mach/cpu.h      |   20 +
> >  arch/arm/mach-at91/include/mach/sama5d3.h  |   73 ++
> >  arch/arm/mach-at91/sama5d3.c               |  377 ++++++++++
> >  arch/arm/mach-at91/setup.c                 |   27 +
> >  arch/arm/mach-at91/soc.h                   |    5 +
> >  21 files changed, 2453 insertions(+), 29 deletions(-)
> >  create mode 100644 arch/arm/boot/dts/sama5d3.dtsi
> >  create mode 100644 arch/arm/boot/dts/sama5d31ek.dts
> >  create mode 100644 arch/arm/boot/dts/sama5d33ek.dts
> >  create mode 100644 arch/arm/boot/dts/sama5d34ek.dts
> >  create mode 100644 arch/arm/boot/dts/sama5d35ek.dts
> >  create mode 100644 arch/arm/boot/dts/sama5d3xcm.dtsi
> >  create mode 100644 arch/arm/boot/dts/sama5d3xdm.dtsi
> >  create mode 100644 arch/arm/boot/dts/sama5d3xmb.dtsi
> >  create mode 100644 arch/arm/configs/sama5_defconfig
> >  create mode 100644 arch/arm/mach-at91/board-dt-sama5.c
> >  create mode 100644 arch/arm/mach-at91/include/mach/sama5d3.h
> >  create mode 100644 arch/arm/mach-at91/sama5d3.c
> 
> So I haven't started reviewing this yet, but looking at the diffstat, I
> can't help but think this patch could use some splitting to be more
> easily reviewable.
> 
> How about having one patch for the clock stuff, one for the config, one
> for the DT, and finally one for the SoC support itself?
> 

Hello Marc,

As you said I can split dts/dtsi, defconf to have a more easily reviewable
patch. On the other side, I know that some people prefer to have the whole
'functionnality' in one patch.

Concerning clock stuff and SoC support, they are tied:
- I use cpu_is_sama5d3 macro in clock.c
- in sama5d3.c I am using the new fields (div and pid) introduced by the clock.c
update.

Regards

Ludovic